Bug 1270016 - Fails in %check
Fails in %check
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m2crypto (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 15:28 EDT by Matěj Cepl
Modified: 2018-04-11 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: m2crypto-0.21.1-21.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 07:34:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log (49.89 KB, text/plain)
2015-10-08 15:28 EDT, Matěj Cepl
no flags Details
root log (70.13 KB, text/plain)
2015-10-08 15:29 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2015-10-08 15:28:33 EDT
Created attachment 1081089 [details]
build log

Description of problem:
======================================================================
FAIL: test_cookie_str_changed_mac (tests.test_authcookie.AuthCookieTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/M2Crypto-0.21.1/tests/test_authcookie.py", line 136, in test_cookie_str_changed_mac
    self.failIf(self.jar.isGoodCookieString(s.output()))
AssertionError: True is not false
----------------------------------------------------------------------

I guess it is more recent version of swig?

http://koji.fedoraproject.org/koji/taskinfo?taskID=11376842

Version-Release number of selected component (if applicable):
swig.x86_64 0:3.0.7-7.fc24
openssl.x86_64 1:1.0.2d-2.fc24
python.x86_64 0:2.7.10-10.fc24
m2crypto-0.21.1-20.fc24

How reproducible:
100%
Comment 1 Matěj Cepl 2015-10-08 15:29 EDT
Created attachment 1081090 [details]
root log
Comment 2 Miloslav Trmač 2015-10-09 06:32:41 EDT
That should be https://github.com/martinpaljak/M2Crypto/issues/19 , I can’t remember why it hasn’t been applied in Fedora.
Comment 3 Miloslav Trmač 2015-10-09 07:34:30 EDT
https://github.com/martinpaljak/M2Crypto/pull/71 actually. Should be fixed in m2crypto-0.21.1-21.fc24, please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.